Results 1 to 4 of 4

Thread: KDE Repositories?

  1. #1

    Question KDE Repositories?

    Today I was trying to install the Bespin window theme for KDE. To compile Bespin I need a few packages that I do not have installed. I googled and looked around for a few hours but I'm not sure which repo they are in. The packs are called kdebase-dev, kdelibs5-dev, libplasma-dev, kdebase-workspace-dev. How can I find these packeges?

    Thanks.

  2. #2

    Default Re: KDE Repositories?

    Hi there,

    Those dev packages don't exist with those names in OpenSuse. In Suse, development packages end in -devel rather than -dev. If you want to install ALL the KDE dev packages available, see this post which tells how to do so in Yast: about installing development packages...

    Also, those appear to be pre KDE4 package. Usually kde4 packages specifically have kde4 in the name, for example: libkde4-devel is equivalent to kdelibs3-devel, etc. (Search for "Build Environment" in Yast)

    Are you getting a config / make error referencing one of those libs? Can you post it if so?

    Cheers,
    Lews Therin

  3. #3

    Default Re: KDE Repositories?

    I grabbed the tarball from Bespin - Download for Bespin, described at KDE Look: Bespin KDE-Look.org

    I see the lib names you posted mentioned in the INSTALL file. In my case, I just had to install libqt4-devel and make completed okay, I didn't even need to install libkde4-devel

    Try to run ./configure and see what you get

    Cheers,
    Lews Therin

  4. #4
    Taki NNTP User

    Default Re: KDE Repositories?

    On 12/02/2010 04:06 PM, telepete wrote:
    >
    > Today I was trying to install the Bespin window theme for KDE. To
    > compile Bespin I need a few packages that I do not have installed. I
    > googled and looked around for a few hours but I'm not sure which repo
    > they are in. The packs are called kdebase-dev, kdelibs5-dev,
    > libplasma-dev, kdebase-workspace-dev. How can I find these packeges?
    >
    > Thanks.
    >
    >


    This repo has it (no compiling necessary; and I think it's the same
    package):

    http://download.opensuse.org/reposit...openSUSE_11.3/

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •